IXP_PRINT(3)

NAME

ixp_print, ixp_vprint, ixp_vsmprint

SYNOPSIS
  #include <ixp.h>

  int ixp_print(IxpCFid *fid, const char *fmt, ...);

  int ixp_vprint(IxpCFid *fid, const char *fmt, va_list args);

  char*    (*ixp_vsmprint)(const char *fmt, va_list);

PARAMETERS

fid An open IxpCFid to which to write the result.

fmt The string with which to format the data.

args
    A va_list holding the arguments to the format string.

... The arguments to the format string.

DESCRIPTION

These functions act like the standard formatted IO functions. They write the result of the formatting to the file pointed to by C<fid>.

ixp_vsmprint(3) may be set to a function which will format its arguments and return a nul-terminated string allocated by malloc(3). The default formats its arguments as printf(3).

RETURN VALUE

These functions return the number of bytes written. There is currently no way to detect failure.

SEE ALSO

ixp_mount(3), ixp_open(3), printf(3)